package com.ozs.base.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.base.domain.BaseProfessional;
import com.ozs.base.domain.vo.BaseProfessionalVo;
import com.ozs.common.core.domain.entity.SysProcurementStandard;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import javax.annotation.Resource;
import java.util.List;

@Resource
@Mapper
public interface BaseProfessionalMapper extends BaseMapper<BaseProfessional> {

    List<BaseProfessional> selectListByGradeCode(BaseProfessional baseProfessional);

    List<BaseProfessional> selectoneGradeList(String professionalCode);

    List<BaseProfessional> selectBaseProfessional(BaseProfessionalVo baseProfessionalVo);
    List<BaseProfessional> selectBaseProfessional(BaseProfessional baseProfessional);

    int countByParentCode(@Param("professionalCode") String professionalCode);

    List<BaseProfessional> selectByParentCode(String professionalCode);

    List<BaseProfessional> selectProfessional(BaseProfessional baseProfessional);

    List<BaseProfessional> selectByProfessionalCode(BaseProfessional baseProfessional);

    List<BaseProfessional> selectByProfessionalName(BaseProfessional baseProfessional);

    List<BaseProfessional> selectByParentCodes(BaseProfessional baseProfessional);
}
